Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7745 - X11 Security Policies
Summary: X11 Security Policies
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-11 01:22 UTC by David D.W. Downey
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-10 18:44:04 UTC


Attachments (Terms of Use)

Description David D.W. Downey 1999-12-11 01:22:49 UTC
RedHat 6.1 on installation fails to load the security policy file. I
believe the dir is /usr/X11R6/lib/X11/Xserver/SecurityPolicy

It continues to fail to load it even after install is complete and any
updates are loaded.


David D.W. Downey
PGPKeys

Comment 1 Preston Brown 2000-02-10 18:44:59 UTC
Not true.  Here's strace output from server startup:
.
.
.
gettimeofday({950208727, 221871}, NULL) = 0
gettimeofday({950208727, 311283}, NULL) = 0
open("/usr/X11R6/lib/X11/xserver/SecurityPolicy", O_RDONLY) = 4
fstat(4, {st_mode=S_IFREG|0444, st_size=2929, ...}) = 0
mmap(0, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x40017000
read(4, "version-1 \n\n# $XConsortium: Secu"..., 4096) = 2929
read(4, "", 4096)                       = 0
close(4)                                = 0
munmap(0x40017000, 4096)                = 0
brk(0x838e000)                          = 0x838e000
gettimeofday({950208727, 334289}, NULL) = 0
ioctl(3, KDGKBMODE, 0x83602a0)          = 0
ioctl(3, TCGETS, {B38400 opost isig icanon echo ...}) = 0
.
.
.

Comment 2 David D.W. Downey 2000-02-12 17:52:59 UTC
Uhh, it IS true. I get tickets evry couple of days about the security policy.
I'm not in the habit of entering bugs or alerts for my health.


Note You need to log in before you can comment on or make changes to this bug.